#Kernel density functions for different kernels and bandwidths

Data<-c(0.3,0.7,1.1,1.1,1.4,1.6,1.7,2.2,2.6,3.4)


pdf("KernelDensityUniform2.pdf")
f<-colSums(abs(as.matrix(Data)%*%rep(1,6000)-as.matrix(rep(1,10))%*%((1:6000)*0.001-1))<0.2)/4
plot(((1:6000)*0.001-1),f,xlab="x",ylab="f(x)",type='l')
dev.off()

pdf("KernelDensityUniform13.pdf")
f<-colSums(abs(as.matrix(Data)%*%rep(1,6000)-as.matrix(rep(1,10))%*%((1:6000)*0.001-1))<1.3)/26
plot(((1:6000)*0.001-1),f,xlab="x",ylab="f(x)",type='l')
dev.off()

pdf("KernelDensityTriangle2.pdf")
f<-colSums((abs(as.matrix(Data)%*%rep(1,6000)-as.matrix(rep(1,10))%*%((1:6000)*0.001-1))<0.2)*(0.2-abs(as.matrix(Data)%*%rep(1,6000)-as.matrix(rep(1,10))%*%((1:6000)*0.001-1))))/0.4
plot(((1:6000)*0.001-1),f,xlab="x",ylab="f(x)",type='l')
dev.off()

pdf("KernelDensityTriangle13.pdf")
f<-colSums((abs(as.matrix(Data)%*%rep(1,6000)-as.matrix(rep(1,10))%*%((1:6000)*0.001-1))<1.3)*(1.3-abs(as.matrix(Data)%*%rep(1,6000)-as.matrix(rep(1,10))%*%((1:6000)*0.001-1))))/8.45
plot(((1:6000)*0.001-1),f,xlab="x",ylab="f(x)",type='l')
dev.off()

pdf("KernelDensityGamma46.pdf")
f<-colSums(((as.matrix(rep(1,10))%*%((1:6000)*0.001-1))^3.6/((as.matrix(Data)%*%rep(1,6000))^4.6)/exp((as.matrix(rep(1,10))%*%((1:6000)*0.001-1))/(as.matrix(Data)%*%rep(1,6000)))))/10*gamma(4.6)
plot(((1:6000)*0.001-1),f,xlab="x",ylab="f(x)",type='l')
dev.off()

pdf("KernelDensityGamma16.pdf")
f<-colSums(((as.matrix(rep(1,10))%*%((1:6000)*0.001-1))^0.6/((as.matrix(Data)%*%rep(1,6000))^1.6)/exp((as.matrix(rep(1,10))%*%((1:6000)*0.001-1))/(as.matrix(Data)%*%rep(1,6000)))))/10*gamma(1.6)
plot(((1:6000)*0.001-1),f,xlab="x",ylab="f(x)",type='l')
dev.off()
